-- To add options you must add extra lines to:
-- WG_OptionsInitialize()
-- WG_OptionsFrame_OnShow(self)
-- WG_OptionsFrame_SetDefaults()
-- The XML file
-- And, of course, the main LUA code

function WG_OptionsInitialize()
	WG_SOUNDCHECKText:SetText(WGSOUNDBUTTON)
	WG_BFLeaveCheckText:SetText(WGBGLEAVE)
	WG_RepopMeCheckText:SetText(WGREPOPME)
	WG_AUTOLEAVEText:SetText(WGAUTOLEAVE)
end

function WG_OptionsCheckButton_OnClick(self)

	-- Check if the checkbutton is checked or not
	if (self:GetChecked()) then
		PlaySound("igMainMenuOptionCheckBoxOff");
	else
		PlaySound("igMainMenuOptionCheckBoxOn");
	end
	
	-- Get the ID of the checkbutton
	local checkButtonID = self:GetID();
		
	-- Check which checkbutton was clicked
	if(checkButtonID == 1)then
		WGSettings.BFLeaveCheck = self:GetChecked();
	elseif(checkButtonID == 2)then
		WGSettings.RepopMeCheck = self:GetChecked();
	elseif(checkButtonID == 3)then
		WGSettings.soundCheck = self:GetChecked();
	elseif(checkButtonID == 4)then
		WGSettings.AutoLeave = self:GetChecked();
	end
	
	WG_Options_Update()
end

function WG_OptionsFrame_OnShow(self)
	if(WGSettings.BFLeaveCheck==1)then WG_BFLeaveCheck:SetChecked(true)else WG_BFLeaveCheck:SetChecked(false) end
	if(WGSettings.RepopMeCheck==1)then WG_RepopMeCheck:SetChecked(true)else WG_RepopMeCheck:SetChecked(false) end
	if(WGSettings.soundCheck==1)then WG_SOUNDCHECK:SetChecked(true)else WG_SOUNDCHECK:SetChecked(false) end
	if(WGSettings.AutoLeave==1)then WG_AUTOLEAVE:SetChecked(true)else WG_AUTOLEAVE:SetChecked(false) end	
end

function WG_Options_Update()
--[[
	if(WGSettings.showWindow)then
		WG_Window:Show()
	else
		WG_Window:Hide()
	end
	if(WGSettings.enableMMB)then
		Wintergrasper_AdvancedMinimapButton:Show(); 
	else
		Wintergrasper_AdvancedMinimapButton:Hide();
	end
	if(WGSettings.SyncMode)then
		WGAskChannel();
	else
		LeaveChannelByName("WG");
	end
]]
end

function WG_OptionsFrame_SetDefaults()
	WGSettings =
	{
	soundCheck=1,
	BFLeaveCheck=nil,
	RepopMeCheck=nil,
	AutoLeave=nil,
	FirstLoad=GetAddOnMetadata("Wintergrasper_Advanced","X-Version"),
	};
end
